Create entitlement
curl --request POST \
--url https://api.zenskar.com/entitlements \
--header 'Content-Type: application/json' \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"units": "<string>",
"is_active": true,
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.zenskar.com/entitlements"
payload = {
"name": "<string>",
"description": "<string>",
"units": "<string>",
"is_active": True,
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
organisation: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
units: '<string>',
is_active: true,
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.zenskar.com/entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"entitlement_type": "Feature",
"units": "<string>",
"is_active": true,
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Entitlements
Create entitlement
Create a new entitlement
POST
/
entitlements
Create entitlement
Authorizations
Body
application/json
Create Entitlement Request Schema
Entitlement name
Entitlement Description
Entitlement Type
Available options:
Feature, Quantity, Credits Entitlement Units
Entitlement is active
Product ID
Response
Successful Response
Create Entitlement Response Schema
Entitlement Id
Entitlement name
Entitlement Description
Entitlement Type
Available options:
Feature, Quantity, Credits Entitlement Units
Entitlement is active
Product ID
created time